# BEGIN SourceDeps(oneline):
BuildRequires: fontconfig-devel gcc-c++ libXcursor-devel libXext-devel libXfixes-devel libXft-devel libXinerama-devel libXrender-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global sum     Lightweight interface to visualize your detailed disk usage

Name:           xdiskusage
Version:        1.60
Release:        alt1_2
Summary:        %{sum}
Group:          File tools
License:        GPLv2+
URL:            http://xdiskusage.sourceforge.net
Source0:        http://xdiskusage.sourceforge.net/%{name}-%{version}.tgz
Patch0:         xdiskusage-1.52-mga-optflags.patch
Patch1:         xdiskusage-1.51-mga-nostrip.patch

BuildRequires:  libfltk-devel
Obsoletes:      xdu < 3.0-15
Provides:       xdu
Source44: import.info

%description
xdiskusage is a user-friendly program to show you what is using up all
your disk space. It is based on the design of xdu written by Phillip C.
Dykstra. Changes have been made so it runs "du" for you, and can display
the free space left on the disk, and produce a PostScript version of
the display.

%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
autoreconf -vfi
%configure
%make_build

%install
%makeinstall

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=XDiskUsage
GenericName=Disk usage visualizer
Comment=%{sum}
Exec=%{name}
Icon=document-preview-archive
Categories=FileTools;Monitor;
Type=Application
EOF

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.60-alt1_2
- update by mgaimport

* Thu Jan 20 2022 Igor Vlasenko <viy@altlinux.org> 1.60-alt1_1
- update by mgaimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 1.54-alt1_1
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 1.53-alt1_1
- update by mgaimport

* Wed Nov 18 2020 Igor Vlasenko <viy@altlinux.ru> 1.52-alt1_1
- update by mgaimport

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 1.51-alt1_5
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.51-alt1_4
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.51-alt1_3
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.51-alt1_1
- new version

